# 32/64bit spec-file
#
%define name kde4-wally
%define oname wally
%define version 2.4.4
%define release %mkrel 1

Summary:	Qt4 wallpaper changer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Graphics
URL:		http://www.becrux.com
Source0:	%{oname}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{oname}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel cmake
BuildRequires:	desktop-file-utils
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:	%{oname}


%description
Wally is a Qt4 wallpaper changer, using multiple sources like files,
folders, FTP remote folders, Flickr, Yahoo!, Panoramio, Pikeo, Ipernity,
Photobucket, Buzznet, Picasa, Smugmug, Bing, Google, Vladstudio and deviantART
images. It runs under Linux, Win32, MacOSX and OS/2, and it's available in many languages.

Supported Window Managers:
- Win32
- MacOSX (using OSA scripts)
- KDE3
- KDE4 (using WallyPlugin)
- Gnome
- XFCE4
- Fluxbox
- Blackbox
- FVWM (unstable)
- WindowMaker

%prep
%setup -q -n %{oname}-%{version}

%build
rm -rf build

%cmake 

%make

%install
rm -Rf %{buildroot}
%makeinstall_std -C build

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 res/images/%{oname}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications/kde4
cat > %{buildroot}%{_datadir}/applications/kde4/%{oname}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Wally
Comment=A Qt4 wallpaper changer using multiple sources
Exec=%{oname}
Icon=%{oname}
Categories=Utility;Qt;DesktopSettings;X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root,-)
%doc DISCLAIMER README.shortcuts README.XFCE4 LICENSE
%{_bindir}/%{oname}
%{_datadir}/kde4/services/plasma-wallpaper-wallyplugin.desktop
%{_datadir}/applications/kde4/%{oname}.desktop
%{_datadir}/icons/oxygen/16x16/apps/wallyplugin.png
%{_libdir}/kde4/plasma_wallpaper_wallyplugin.so
%{_datadir}/pixmaps/%{oname}.xpm

%changelog
* Sun Apr 07 2013 pinoc <vogtpet at gmail.com> 2.4.4-1pclos2013
- 2.4.4

* Sun Sep 11 2011 Texstar <texstar at gmail.com> 2.4.2-1pclos2011
- 2.4.2

* Mon Feb 21 2011 texstar <texstar at gmail.com> 2.4-3pclos2011 
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 2.4-2pclos2010
- rebuild for 4.5.1

* Mon Aug 23 2010 Chomp <chomptheman@gmail.com> 2.4-1pclos2010
- 2.4

* Mon Mar 22 2010 Texstar <texstar at gmail.com> 2.3.2-1pclos2010
- 2.3.2

* Wed Jan 27 2010 Texstar <texstar at gmail.com> 2.3.1-1pclos2010
- 2.3.1

* Thu Nov 11 2009 Texstar <texstar at gmail.com> 2.3.0-1pclos2010
- 2.3.0

* Sun Oct 25 2009 Texstar <texstar at gmail.com> 2.2.0-1pclos2010
- for KDE 4 only

* Sat Oct 17 2009 slick50 <lxgator@gmail.com> 2.2.0-1pclos2010
- initial pkg
